Subject: Re: ASSC: Asians @ MB in SF
From: Bob Smyth <[email-masked]>
To: [email-masked]
Newsgroups: alt.sex.strip-clubs

In article <[email-masked]>,
  [email-masked] (SukisGuy) wrote:
>
>
> Have been out of town for almost one year - am planning a trip back to SF.
> Is Melinda (my first love) still working at MB?  Any locals info
> appreciated... (mrKing are you out there???)

yep, 

she is still there! 

I saw her the other night working kopenhagen w/
Marissa.  

They seemed to be havin more fun than me. Perhaps the fact they
did not saran wrap their p****ys enhanced their pleasure.  

I got totally horny watching them lick each other and get each other
lubbed up and ready for action. Each of them is outa my price range
but at least I get good vibes from them.

-Bob "reporting live from Kopenhagen" Smyth

-------------------==== Posted via Deja News ====-----------------------
      http://www.dejanews.com/     Search, Read, Post to Usenet